"""
@author: luojunhui
"""
import json

import requests


class ArticleRank(object):
    """
    账号排序
    """
    url = "http://localhost:6060/score_list"

    @classmethod
    def rank(cls, account_list, text_list):
        """
        Rank
        :param account_list:
        :param text_list:
        :return:
        """
        body = {
            "account_nickname_list": account_list,
            "text_list": text_list,
            "max_time": None,
            "min_time": None,
            "interest_type": "avg",
            "sim_type": "mean",
            "rate": 0.1
        }
        response = requests.post(url=cls.url, headers={}, json=body).json()
        return response
